Copy a product feed

Creates a copy of an existing product feed with a new name.

Requires the productfeed:write or productfeeds.write permission.

Request

POST /productfeed/copy

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
feedintegerYesID of the product feed to copy.
namestringYesName for the new feed copy. Must be unique. Special characters are replaced with underscores.

Example Request

POST /productfeed/copy
Authorization: Bearer <token>
Content-Type: application/json

{
  "feed": 42,
  "name": "My Feed Copy"
}

Response

Returns the newly created product feed object.

Example Response

{
  "id": 99,
  "name": "My_Feed_Copy",
  "user": "[email protected]",
  "stream": 5,
  "fields": [],
  "separator": "none",
  "contentType": "none"
}